﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3054C: (1 year) VER VISA /5800A+5Ch
DATE:                  2011-01-25 08:59:19
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       222
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3054C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal VISA
#        Sub Tek TDS3000C Self-Test VISA
#        Sub Tek TDS3000C Cal Initialize VISA
#        Sub Tek TDS3000C (1 yr) DCV VISA /5800
#        Sub Tek TDS3000C Remote Interface Connection
#        Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800
#        Sub Tek TDS3000C (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS3000C Trigger Chk and Level Adj VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C2
  1.003  5800         600MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.20x"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  MATH         @VisaLAN = 1
  1.018  CALL         Sub Tek TDS3000C Remote Interface Connection
  1.019  JMPL         END                              @Abort

  1.020  VISA         *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query VISA

  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  MATH         @UUT_Model        = "TDS 3054C"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                           @Abort

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to REVIEW the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.031  ENDIF

  1.032  CALL         Sub Tek TDS3000C Check Firmware Version
  1.033  JMPL         END                           @Abort

  1.034  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.035  CALL         Sub Tek TDS3000C Sig Path Comp Cal VISA
  1.036  JMPL         END                           @Abort

  1.037  CALL         Sub Tek TDS3000C Self-Test VISA
  1.038  JMPL         END                           @Abort

  1.039  DISP         Connect the 58xxA to the UUT as follows:
  1.039  DISP
  1.039  DISP         [32] Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.039  DISP         [32] Connect the 58xxA CHAN 2 to the UUT CH 2.
  1.039  DISP         [32] Connect the 58xxA CHAN 3 to the UUT CH 3.
  1.039  DISP         [32] Connect the 58xxA CHAN 4 to the UUT CH 4.

  1.040  MATH         @Chan = 1
  1.041  M5800                                                    C1
  1.042  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /5800

  1.043  MATH         @Chan = 2
  1.044  M5800                                                    C2
  1.045  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /5800

  1.046  MATH         @Chan = 3
  1.047  M5800                                                    C3
  1.048  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /5800

  1.049  MATH         @Chan = 4
  1.050  M5800                                                    C4
  1.051  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /5800

  1.052  MATH         @Chan = 1
  1.053  M5800                                                    C1
  1.054  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800

  1.055  MATH         @Chan = 2
  1.056  M5800                                                    C2
  1.057  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800

  1.058  MATH         @Chan = 3
  1.059  M5800                                                    C3
  1.060  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800

  1.061  MATH         @Chan = 4
  1.062  M5800                                                    C4
  1.063  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800

  1.064  MATH         @Chan = 1
  1.065  M5800                                                    C1
  1.066  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800

  1.067  MATH         @Chan = 2
  1.068  M5800                                                    C2
  1.069  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800

  1.070  MATH         @Chan = 3
  1.071  M5800                                                    C3
  1.072  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800

  1.073  MATH         @Chan = 4
  1.074  M5800                                                    C4
  1.075  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800

  1.076  MATH         @Chan = 1
  1.077  M5800                                                    C1
  1.078  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800

  1.079  MATH         @Chan = 2
  1.080  M5800                                                    C2
  1.081  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800

  1.082  MATH         @Chan = 3
  1.083  M5800                                                    C3
  1.084  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800

  1.085  MATH         @Chan = 4
  1.086  M5800                                                    C4
  1.087  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800

  1.088  MATH         @Chan = 1
  1.089  M5800                                                    C1
  1.090  CALL         Sub Tek TDS3000C (1 yr) Sample Rate VISA /5800

  1.091  LABEL        END
  1.092  HEAD         -2

  1.093  IF           @Abort
  1.094  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.095  ELSE
  1.096  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.097  ENDIF

  1.098  END
